<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.logging.async-handler.filter">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="all,any,accept,change-level,deny,level,level-range,match,not,replace"/>
        <elem name="complex-attribute" value="filter"/>
        <elem name="addr-params" value="profile,subsystem,async-handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <refs>
        <ref feature="subsystem.logging.async-handler"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="all" nillable="true"/>
        <param name="deny" nillable="true"/>
        <param name="level-range" nillable="true"/>
        <param name="level" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="async-handler" feature-id="true"/>
        <param name="match" nillable="true"/>
        <param name="replace" nillable="true"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="any" nillable="true"/>
        <param name="accept" nillable="true"/>
        <param name="not" nillable="true"/>
        <param name="change-level" nillable="true"/>
    </params>
</feature-spec>